<div class='search-container' {{did-insert this.setup}} {{did-update this.setup @mapId}}>
  <div class='input-group mb-3'>
    {{#if this.relatedMap.name}}
      <span class='input-group-text map-name-text'>{{this.relatedMap.name}}</span>
    {{/if}}

    <Input @value={{this.searchTerm}} disabled={{this.isDisabled}} class='form-control text-search' placeholder='Enter your search terms' aria-label='Enter your search terms' {{on 'keyup' this.keyUp}} />
    <Input::Button {{did-insert this.setupSearchButton}} class='btn btn-outline-secondary btn-submit-search' @action={{this.onSearch}} as | showContent |>
      {{#if showContent}}
        <FaIcon @icon='magnifying-glass' />
      {{/if}}
    </Input::Button>
  </div>

  {{#if (and this.searchedTerm (eq this.resultCount 0))}}
    <div class='text-info mb-5 text-no-search-results'>
      <FaIcon @icon='grin-beam-sweat' />
      {{capitalize (t 'search-without-results' term=this.searchedTerm)}}
    </div>
  {{/if}}

  {{#if this.maps}}
    <SearchResultList class='map-list' @space={{@space}} @title={{capitalize (t 'maps')}} @list={{this.maps}} @length={{this.maps_expected}} @onLoadMore={{fn this.loadMore 'maps'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.campaigns}}
    <SearchResultList class='campaign-list' @space={{@space}} @title={{capitalize (t 'surveys')}} @list={{this.campaigns}} @length={{this.campaigns_expected}} @onLoadMore={{fn this.loadMore 'campaigns'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.features}}
    <SearchResultList class='feature-list' @space={{@space}} @title={{capitalize (t 'features')}} @list={{this.features}} @length={{this.features_expected}} @onLoadMore={{fn this.loadMore 'features'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.events}}
    <SearchResultList class='event-list' @space={{@space}} @title={{capitalize (t 'events')}} @list={{this.events}} @length={{this.events_expected}} @onLoadMore={{fn this.loadMore 'events'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.iconSets}}
    <SearchResultList class='icon-set-list' @space={{@space}} @title={{capitalize (t 'icon sets')}} @list={{this.iconSets}} @length={{this.iconSets_expected}} @onLoadMore={{fn this.loadMore 'iconSets'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.teams}}
    <SearchResultList class='team-list' @space={{@space}} @title={{capitalize (t 'teams')}} @list={{this.teams}} @length={{this.teams_expected}} @onLoadMore={{fn this.loadMore 'teams'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.icons}}
    <SearchResultList class='icon-list' @space={{@space}} @title={{capitalize (t 'icons')}} @list={{this.icons}} @length={{this.icons_expected}} @onLoadMore={{fn this.loadMore 'icons'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.articles}}
    <SearchResultList class='article-list' @space={{@space}} @title={{capitalize (t 'articles')}} @list={{this.articles}} @length={{this.articles_expected}} @onLoadMore={{fn this.loadMore 'articles'}} @onClick={{this.onClose}} />
  {{/if}}

  {{#if this.geocodings}}
    <div class='search-meta-list'>
      <h2 class='text-blue-700'>{{capitalize (t 'places')}}</h2>
      {{#each this.geocodings as |place|}}
        <Browse::Places::Preview @place={{place}} @onClick={{this.showPlace}} />
      {{/each}}
    </div>
  {{/if}}
</div>